# -*- coding: utf-8 -*-
#
# Copyright (c), 2016-2019, SISSA (International School for Advanced Studies).
# All rights reserved.
# This file is distributed under the terms of the MIT License.
# See the file 'LICENSE' in the root directory of the present
# distribution, or http://opensource.org/licenses/MIT.
#
# @author Davide Brunato <brunato@sissa.it>
#
"""
Creates the test classes for cases when unittest's discovery loads this subpackage.
"""
from xmlschema.tests.test_factory import tests_factory, \
    make_schema_test_class, make_validator_test_class

# Creates schema tests from XSD files
globals().update(tests_factory(make_schema_test_class, 'xsd'))

# Creates schema tests from XML files
globals().update(tests_factory(make_validator_test_class, 'xml'))
